Bug 866288 - libvirtd crashes when both <boot dev='...'/> and <boot order='...'/> are used in one domain XML
libvirtd crashes when both <boot dev='...'/> and <boot order='...'/> are used...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Martin Kletzander
Virtualization Bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-14 23:24 EDT by zhenfeng wang
Modified: 2013-02-21 02:09 EST (History)
11 users (show)

See Also:
Fixed In Version: libvirt-0.10.2-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:09:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the xml of guest (2.16 KB, text/plain)
2012-10-14 23:24 EDT, zhenfeng wang
no flags Details

  None (edit)
Description zhenfeng wang 2012-10-14 23:24:00 EDT
Created attachment 627170 [details]
the xml of guest

Description of problem:
libvirtd crashes when both <boot dev='...'/> and <boot order='...'/> are used in one domain XML

Version-Release number of selected component (if applicable):
libvirt-0.10.2-2.el6.x86_64
qemu-kvm-0.12.1.2-2.316.el6.x86_64
kernel-2.6.32-312.el6.x86_64

How reproducible:
100%
1 prepare the domain xml,for detail you can see the attachment

 create a new domain XML with both <boot dev='...'/> and <boot order='...'/>
   elements

2. define the guest
# virsh define testfull.xml
error: Failed to define domain from testfull.xml
error: End of file while reading data: Input/output error
error: Failed to reconnect to the hypervisor

3 it works well on following pkg,and there was a bug like this issue 751287,however this bug had already been closed.
libvirt-0.10.1-1.el6.x86_64
 
Actual results:
the libvirtd crashed,while defined the guest

Expected results:
The guest should be defined successfully and the libvirtd should keep running

Additional info
Comment 1 zhenfeng wang 2012-10-14 23:27:09 EDT
Since it works on  libvirt-0.10.1-1.el6.x86_64 , so mark this bug a regression bug
Comment 6 zhpeng 2012-10-17 00:24:20 EDT
Test this with: libvirt-0.10.2-4.el6.x86_64

I use attached guest xml https://bugzilla.redhat.com/attachment.cgi?id=627170
 
virsh # edit qemu-ga
error: unsupported configuration: per-device boot elements cannot be used together with os/boot elements
Failed. Try again? [y,n,f,?]:

[root@pengzhimoutest ~]# virsh define test.xml 
error: Failed to define domain from test.xml
error: unsupported configuration: per-device boot elements cannot be used together with os/boot elements

# service libvirtd status
libvirtd (pid  7295) is running...

So, this bug is verified.
Comment 7 errata-xmlrpc 2013-02-21 02:09:46 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.